MongoDB::forceError
MongoDB::getDBRef
MongoDB
PHP Manual

# MongoDB::__get

(PECL mongo >=1.0.2)

MongoDB::__get — Gets a collection

### Description

public MongoCollection MongoDB::__get ( string `$name` )

This is the easiest way of getting a collection from a database object. If a collection name contains strange characters, you may have to use MongoDB::selectCollection() instead.

`<?php
$mongo = new Mongo();
// the following two lines are equivalent
$collection = $mongo->selectDB("foo")->selectCollection("bar");
$collection = $mongo->foo->bar;
?>`

### Parameters

`name`

  The name of the collection.

### Return Values

Returns the collection.

MongoDB::forceError
MongoDB::getDBRef
MongoDB
PHP Manual